org.eclipse.aether.internal.impl

## Class DefaultRepositoryLayoutProvider

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultRepositoryLayoutProvider

- All Implemented Interfaces:
    RepositoryLayoutProvider, Service

      @Named
      @Component(role=RepositoryLayoutProvider.class)
      public final class DefaultRepositoryLayoutProvider
      extends Object
      implements RepositoryLayoutProvider, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryLayoutProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultRepositoryLayoutProvider` | `addRepositoryLayoutFactory(RepositoryLayoutFactory factory)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `RepositoryLayout` | `newRepositoryLayout(RepositorySystemSession session, RemoteRepository repository)` Tries to retrieve a repository layout for the specified remote repository.
    `DefaultRepositoryLayoutProvider` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultRepositoryLayoutProvider` | `setRepositoryLayoutFactories(Collection<RepositoryLayoutFactory> factories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryLayoutProvider

          public DefaultRepositoryLayoutProvider()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultRepositoryLayoutProvider setLoggerFactory(LoggerFactory loggerFactory)

    - #### addRepositoryLayoutFactory

          public DefaultRepositoryLayoutProvider addRepositoryLayoutFactory(RepositoryLayoutFactory factory)

    - #### setRepositoryLayoutFactories

          public DefaultRepositoryLayoutProvider setRepositoryLayoutFactories(Collection<RepositoryLayoutFactory> factories)

    - #### newRepositoryLayout

          public RepositoryLayout newRepositoryLayout(RepositorySystemSession session,
                                             RemoteRepository repository)
                                               throws NoRepositoryLayoutException

      Description copied from interface: `RepositoryLayoutProvider`
      Tries to retrieve a repository layout for the specified remote repository.
      Specified by:
        `newRepositoryLayout` in interface `RepositoryLayoutProvider`
      Parameters:
        `session` - The repository system session from which to configure the layout, must not be `null`.
        `repository` - The remote repository to create a layout for, must not be `null`.
      Returns:
        The layout for the given repository, never `null`.
      Throws:
        `NoRepositoryLayoutException` - If none of the installed layout factories can provide a repository layout for the specified remote repository.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.